Bug 190780 - Assertion in modules/speller/default/language.cpp431
Assertion in modules/speller/default/language.cpp431
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: aspell (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-04 23:29 EDT by David Highley
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-08 19:56:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace log of aspell (23.51 KB, application/octet-stream)
2006-05-05 20:44 EDT, David Highley
no flags Details
Renamed aspell $HOME directory files (3.98 KB, application/octet-stream)
2006-12-04 22:18 EST, David Highley
no flags Details
file 2 of 4 (1.87 KB, application/octet-stream)
2006-12-04 22:19 EST, David Highley
no flags Details
file 3 of 4 (2.94 KB, application/octet-stream)
2006-12-04 22:20 EST, David Highley
no flags Details
file 4 of 4 (312 bytes, application/octet-stream)
2006-12-04 22:20 EST, David Highley
no flags Details

  None (edit)
Description David Highley 2006-05-04 23:29:28 EDT
Description of problem:
Dies with an assertion in modules/speller/default/langugage.cpp:431

Version-Release number of selected component (if applicable):
aspell 0.60.3

How reproducible:
aspell -c file

Steps to Reproduce:
1.
2.
3.
  
Actual results:
douglas: $ aspell -c test
aspell: modules/speller/default/language.cpp:431: bool
aspeller::SensitiveCompare::operator()(const char*, const char*) const:
Assertion `*word0 && *inlist0' failed.
Aborted

Expected results:


Additional info:
Comment 1 Ivana Varekova 2006-05-05 10:49:32 EDT
Could you attach the strace output of aspell -c test, and your LANG settings?
Comment 2 David Highley 2006-05-05 20:44:06 EDT
Created attachment 128683 [details]
strace log of aspell
Comment 3 David Highley 2006-11-29 14:36:42 EST
The issue still seemed to exist on Fedora core 6. On a guess I re-named all the
$HOME/.aspell files which fixed the problem.
Comment 4 Ivana Varekova 2006-12-04 06:57:10 EST
Please could you attach your $HOME/.aspell* files?
Comment 5 David Highley 2006-12-04 22:18:55 EST
Created attachment 142801 [details]
Renamed aspell $HOME directory files

I see nothing in these plain text files that should have caused the problem.
Seems there is no flexibility in the web interface and it will only take one
file at a time.:-(
Comment 6 David Highley 2006-12-04 22:19:36 EST
Created attachment 142802 [details]
file 2 of 4
Comment 7 David Highley 2006-12-04 22:20:01 EST
Created attachment 142803 [details]
file 3 of 4
Comment 8 David Highley 2006-12-04 22:20:27 EST
Created attachment 142804 [details]
file 4 of 4

Note You need to log in before you can comment on or make changes to this bug.